Bug 674276

Summary: odd requirement
Product: [Fedora] Fedora Reporter: Marcela Mašláňová <mmaslano>
Component: dhcpAssignee: Jiri Popelka <jpopelka>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jpopelka
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-02-01 05:20:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Marcela Mašláňová 2011-02-01 04:14:47 EST
Description of problem:
Error: Package: 12:dhcp-4.2.1-0.2.b1.fc15.i686 (rawhide)
          Requires: perl(Win32API::Registry) >= 0.21

Version-Release number of selected component (if applicable):
dhcp-4.2.1-0.2.b1.fc15.i686

How reproducible:
yum update

Steps to Reproduce:
1.
2.
3.
  
Actual results:
New rpm scans requirement differently. So, there's bug in rpm or in your specfile. 
You have in specfile, this:
%filter_requires_in %{_docdir}
%filter_setup

You can try add the line belove, but it should be already filtered by previous macro, because you install this file into docdir.
%filter_requires_in {path}dhcp-4.2.1b1/contrib/ms2isc/Registry.pm

Expected results:


Additional info:
Comment 1 Jiri Popelka 2011-02-01 05:20:53 EST
Should be fixed in dhcp-4.2.1-0.3.b1.fc15

*** This bug has been marked as a duplicate of bug 674058 ***